Bug 1415707 - Kickstart repository not exposed on host group API
Summary: Kickstart repository not exposed on host group API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Host Group
Version: 6.2.6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 13:31 UTC by Michal Dekan
Modified: 2020-03-11 15:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:30:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16776 0 Normal Closed Kickstart repository not exposed on host group API 2020-09-16 15:17:51 UTC

Description Michal Dekan 2017-01-23 13:31:28 UTC
Description of problem:

Customer would like to have a possibility to choose Sync Content as a Installation media over hammer. 
At the moment Synced content option is visible only in webui.

Version-Release number of selected component (if applicable):

Satellite 6.2.6

How reproducible:

Create Host Group without specifying --medium-id:

Steps to Reproduce:
1. /usr/bin/hammer hostgroup create --name mdekan-hostgroup-test --architecture 'x86_64' --content-view "rhel7" --lifecycle-environment "Library" --operatingsystem 'RedHat 7.3' --partition-table 'Kickstart default' --organization "Default Organization"
Hostgroup created
2. /usr/bin/hammer host create --comment 'KVM guest' --name mdekan-test001 --hostgroup 'mdekan-hostgroup-test' --lifecycle-environment Library --content-view rhel7 --ip 192.168.111.101 --mac '54:52:00:a0:5f:1b' --subnet 'sysmgmt.lan' --root-password 'password123' --model KVM --location "Default Location" --domain sysmgmt.lan --organization "Default Organization" --build false --parameters 'host_profile=des_snp'
Host created

3. Click on Build for  host mdekan-test001

Actual results:

WebUI shows this error when clicked on build for host:

The following errors may prevent a successful build:

Templates

Failure parsing Kickstart default iPXE: undefined method `path' for nil:NilClass.

Expected results:
 - Hammer should not return "Host created" when Build cannot be done successfully.
- Synced content accessible trough hammer.

Additional info:

Comment 1 Ivan Necas 2017-01-23 13:47:44 UTC
Connecting redmine issue http://projects.theforeman.org/issues/16776 from this bug

Comment 3 pm-sat@redhat.com 2017-01-23 15:06:03 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16776 has been resolved.

Comment 4 Kedar Bidarkar 2017-08-25 19:30:59 UTC
[root@qe-rhel7 ~]# hammer -u admin -p changeme hostgroup create --name='RHEL 74 Server 64-bit HG' --content-view='RHEL 7 CV' --environment-id="1" --lifecycle-environment='DEV' --content-source-id="1" --puppet-proxy="$(hostname)" --puppet-ca-proxy="$(hostname)" --query-organization-id="1" --puppet-classes='access_insights_client,foreman_scap_client' --domain-id="1" --subnet="katello_latest" --architecture='x86_64' --operatingsystem-id="1" --partition-table='Kickstart default' --location-ids="2" --kickstart-repository-id 1
Hostgroup created

--------------

As seen above kickstart-repository is now exposed on "hammer -u admin -p changeme hostgroup --help"

But upon, neither specifying kicsktart-repository nor medium the host-group creation is still possible.

That particular issue will be tracked in this BZ, https://bugzilla.redhat.com/show_bug.cgi?id=1483249


Will be closing this bug as per the bugzilla summary and initial bugzilla report. "hostgroup should expose kickstart repository option"

VERIFIED with sat6.3.0-snap12

Comment 6 Oleksandr Shtaier 2017-11-20 12:31:12 UTC
Test coverage provided in:
https://github.com/SatelliteQE/robottelo/pull/5574

Comment 7 Bryan Kearney 2018-02-21 17:30:27 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.